Review Board 1.7.22


SQOOP-730 User Guide Update: Section 3 - Sqoop Releases

Review Request #8345 - Created Dec. 5, 2012 and submitted

Jarek Cecho
SQOOP-730
Reviewers
Sqoop
sqoop-trunk
I've fixed appropriate doc section.

 

Diff revision 1 (Latest)

  1. src/docs/user/preface.txt: Loading...
src/docs/user/preface.txt
Revision ca9c3bcd30a2170a755c61ebb6a9919181b06d15 New Change
[20] 33 lines
[+20]
34

    
   
34

   
35
- New releases of Sqoop as well as its most recent source code
35
- New releases of Sqoop as well as its most recent source code
36
- An issue tracker
36
- An issue tracker
37
- A wiki that contains Sqoop documentation
37
- A wiki that contains Sqoop documentation
38

    
   
38

   
39
Sqoop is compatible with Apache Hadoop 0.21 and Cloudera's

   
40
Distribution of Hadoop version 3.

   
41

    
   

   
42
Prerequisites
39
Prerequisites
43
-------------
40
-------------
44

    
   
41

   
45
The following prerequisite knowledge is required for this product:
42
The following prerequisite knowledge is required for this product:
46

    
   
43

   
47
- Basic computer technology and terminology
44
- Basic computer technology and terminology
48
- Familiarity with command-line interfaces such as +bash+
45
- Familiarity with command-line interfaces such as +bash+
49
- Relational database management systems
46
- Relational database management systems
50
- Basic familiarity with the purpose and operation of Hadoop
47
- Basic familiarity with the purpose and operation of Hadoop
51

    
   
48

   
52
Before you can use Sqoop, a release of Hadoop must be installed and
49
Before you can use Sqoop, a release of Hadoop must be installed and
53
configured. We recommend that you download Cloudera's Distribution
50
configured. Sqoop is currently supporting 4 major Hadoop releases - 0.20,
54
for Hadoop (CDH3) from the Cloudera Software Archive at
51
0.23, 1.0 and 2.0.
55
http://archive.cloudera.com for straightforward installation of Hadoop

   
56
on Linux systems.

   
57

    
   
52

   
58
This document assumes you are using a Linux or Linux-like environment.
53
This document assumes you are using a Linux or Linux-like environment.
59
If you are using Windows, you may be able to use cygwin to accomplish
54
If you are using Windows, you may be able to use cygwin to accomplish
60
most of the following tasks. If you are using Mac OS X, you should see
55
most of the following tasks. If you are using Mac OS X, you should see
61
few (if any) compatibility errors. Sqoop is predominantly operated and
56
few (if any) compatibility errors. Sqoop is predominantly operated and
62
tested on Linux. 
57
tested on Linux. 
63

    
   
58

   
  1. src/docs/user/preface.txt: Loading...